All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
cl::UserEvent Class Reference

Class interface for user events (a subset of cl_event's). More...

`#include <cl2.hpp>`

Inherits cl::Event.

## Public Member Functions

| UserEvent (const Context &context, cl_int *err=NULL)
| Constructs a user event on a given context. More...
| UserEvent ()
| Default constructor - initializes to NULL. More...
cl_int | setStatus (cl_int status)
| Sets the execution status of a user event object. More...
Public Member Functions inherited from cl::Event
| Event ()
| Default constructor - initializes to NULL. More...
| Event (const cl_event &event, bool retainObject=false)
| Constructor from cl_event - takes ownership. More...
Event & | operator= (const cl_event &rhs)
| Assignment operator from cl_event - takes ownership. More...
template<typename T >
cl_int | getInfo (cl_event_info name, T *param) const
| Wrapper for clGetEventInfo(). More...
template<cl_int name>
detail::param_traits < detail::cl_event_info, name > ::param_type | getInfo (cl_int *err=NULL) const
| Wrapper for clGetEventInfo() that returns by value. More...
template<typename T >
cl_int | getProfilingInfo (cl_profiling_info name, T *param) const
| Wrapper for clGetEventProfilingInfo(). More...
template<cl_int name>
detail::param_traits < detail::cl_profiling_info, name >::param_type | getProfilingInfo (cl_int *err=NULL) const
| Wrapper for clGetEventProfilingInfo() that returns by value. More...
cl_int | wait () const
| Blocks the calling thread until this event completes. More...
cl_int | setCallback (cl_int type, void(CL_CALLBACK *pfn_notify)(cl_event, cl_int, void *), void *user_data=NULL)
| Registers a user callback function for a specific command execution status. More...
Public Member Functions inherited from cl::detail::Wrapper< cl_event >
| Wrapper ()
| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
| ~Wrapper ()
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
const cl_type | get () const
cl_type | get ()

## Additional Inherited Members

Public Types inherited from cl::detail::Wrapper< cl_event >
typedef cl_event | cl_type
Static Public Member Functions inherited from cl::Event
static cl_int | waitForEvents (const vector< Event > &events)
| Blocks the calling thread until every event specified is complete. More...
Protected Member Functions inherited from cl::detail::Wrapper< cl_event >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_event >
cl_type | object_

## Detailed Description

Class interface for user events (a subset of cl_event's).

See Event for details about copy semantics, etc.

## Constructor & Destructor Documentation

cl::UserEvent::UserEvent | ( | const Context & | context,
|  | cl_int * | err = `NULL`
| ) |  |

inline

Constructs a user event on a given context.

Wraps clCreateUserEvent().

cl::UserEvent::UserEvent | ( |  | ) |

inline

Default constructor - initializes to NULL.

## Member Function Documentation

cl_int cl::UserEvent::setStatus | ( | cl_int | status | ) |

inline

Sets the execution status of a user event object.

Wraps clSetUserEventStatus().

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp